package cz.moneta.test.dsl.kasanova.components.enums;

import cz.moneta.test.harness.support.web.DynamicPathPart;

public enum KSNCoinSplits implements DynamicPathPart {

    COINSPLIT_DELIVERED_CZK_5000_INPUT("csDelivered-CZK-B-5000"),
    COINSPLIT_DELIVERED_CZK_2000_INPUT("csDelivered-CZK-B-2000"),
    COINSPLIT_DELIVERED_CZK_1000_INPUT("csDelivered-CZK-B-1000"),
    COINSPLIT_DELIVERED_CZK_500_INPUT("csDelivered-CZK-B-500"),
    COINSPLIT_DELIVERED_CZK_200_INPUT("csDelivered-CZK-B-200"),
    COINSPLIT_DELIVERED_CZK_100_INPUT("csDelivered-CZK-B-100"),
    COINSPLIT_DELIVERED_CZK_50_INPUT("csDelivered-CZK-C-50"),
    COINSPLIT_DELIVERED_CZK_20_INPUT("csDelivered-CZK-C-20"),
    COINSPLIT_DELIVERED_CZK_10_INPUT("csDelivered-CZK-C-10"),
    COINSPLIT_DELIVERED_CZK_5_INPUT("csDelivered-CZK-C-5"),
    COINSPLIT_DELIVERED_CZK_2_INPUT("csDelivered-CZK-C-2"),
    COINSPLIT_DELIVERED_CZK_1_INPUT("csDelivered-CZK-C-1"),

    COINSPLIT_REQUESTED_CZK_5000_INPUT("csRequested-CZK-B-5000"),
    COINSPLIT_REQUESTED_CZK_2000_INPUT("csRequested-CZK-B-2000"),
    COINSPLIT_REQUESTED_CZK_1000_INPUT("csRequested-CZK-B-1000"),
    COINSPLIT_REQUESTED_CZK_500_INPUT("csRequested-CZK-B-500"),
    COINSPLIT_REQUESTED_CZK_200_INPUT("csRequested-CZK-B-200"),
    COINSPLIT_REQUESTED_CZK_100_INPUT("csRequested-CZK-B-100"),
    COINSPLIT_REQUESTED_CZK_50_INPUT("csRequested-CZK-C-50"),
    COINSPLIT_REQUESTED_CZK_20_INPUT("csRequested-CZK-C-20"),
    COINSPLIT_REQUESTED_CZK_10_INPUT("csRequested-CZK-C-10"),
    COINSPLIT_REQUESTED_CZK_5_INPUT("csRequested-CZK-C-5"),
    COINSPLIT_REQUESTED_CZK_2_INPUT("csRequested-CZK-C-2"),
    COINSPLIT_REQUESTED_CZK_1_INPUT("csRequested-CZK-C-1"),

    COINSPLIT_CZK_5000_INPUT("csMain-CZK-B-5000"),
    COINSPLIT_CZK_2000_INPUT("csMain-CZK-B-2000"),
    COINSPLIT_CZK_1000_INPUT("csMain-CZK-B-1000"),
    COINSPLIT_CZK_500_INPUT("csMain-CZK-B-500"),
    COINSPLIT_CZK_200_INPUT("csMain-CZK-B-200"),
    COINSPLIT_CZK_100_INPUT("csMain-CZK-B-100"),   
    COINSPLIT_CZK_50_INPUT("csMain-CZK-C-50"),
    COINSPLIT_CZK_20_INPUT("csMain-CZK-C-20"),
    COINSPLIT_CZK_10_INPUT("csMain-CZK-C-10"),
    COINSPLIT_CZK_5_INPUT("csMain-CZK-C-5"),
    COINSPLIT_CZK_2_INPUT("csMain-CZK-C-2"),
    COINSPLIT_CZK_1_INPUT("csMain-CZK-C-1"),

    COINSPLIT_FEE_MAIN_CZK_5000_INPUT("csFee2Main-CZK-B-5000"),
    COINSPLIT_FEE_MAIN_CZK_2000_INPUT("csFee2Main-CZK-B-2000"),
    COINSPLIT_FEE_MAIN_CZK_1000_INPUT("csFee2Main-CZK-B-1000"),
    COINSPLIT_FEE_MAIN_CZK_500_INPUT("csFee2Main-CZK-B-500"),
    COINSPLIT_FEE_MAIN_CZK_200_INPUT("csFee2Main-CZK-B-200"),
    COINSPLIT_FEE_MAIN_CZK_100_INPUT("csFee2Main-CZK-B-100"),
    COINSPLIT_FEE_MAIN_CZK_50_INPUT("csFee2Main-CZK-C-50"),
    COINSPLIT_FEE_MAIN_CZK_20_INPUT("csFee2Main-CZK-C-20"),
    COINSPLIT_FEE_MAIN_CZK_10_INPUT("csFee2Main-CZK-C-10"),
    COINSPLIT_FEE_MAIN_CZK_5_INPUT("csFee2Main-CZK-C-5"),
    COINSPLIT_FEE_MAIN_CZK_2_INPUT("csFee2Main-CZK-C-2"),
    COINSPLIT_FEE_MAIN_CZK_1_INPUT("csFee2Main-CZK-C-1"),

    COINSPLIT_FEE_REMAINDER_CZK_5000_INPUT("csFee2Remainder-CZK-B-5000"),
    COINSPLIT_FEE_REMAINDER_CZK_2000_INPUT("csFee2Remainder-CZK-B-2000"),
    COINSPLIT_FEE_REMAINDER_CZK_1000_INPUT("csFee2Remainder-CZK-B-1000"),
    COINSPLIT_FEE_REMAINDER_CZK_500_INPUT("csFee2Remainder-CZK-B-500"),
    COINSPLIT_FEE_REMAINDER_CZK_200_INPUT("csFee2Remainder-CZK-B-200"),
    COINSPLIT_FEE_REMAINDER_CZK_100_INPUT("csFee2Remainder-CZK-B-100"),
    COINSPLIT_FEE_REMAINDER_CZK_50_INPUT("csFee2Remainder-CZK-C-50"),
    COINSPLIT_FEE_REMAINDER_CZK_20_INPUT("csFee2Remainder-CZK-C-20"),
    COINSPLIT_FEE_REMAINDER_CZK_10_INPUT("csFee2Remainder-CZK-C-10"),
    COINSPLIT_FEE_REMAINDER_CZK_5_INPUT("csFee2Remainder-CZK-C-5"),
    COINSPLIT_FEE_REMAINDER_CZK_2_INPUT("csFee2Remainder-CZK-C-2"),
    COINSPLIT_FEE_REMAINDER_CZK_1_INPUT("csFee2Remainder-CZK-C-1"),

    COINSPLIT_USD_100_INPUT("csMain-USD-B-100"),   
    COINSPLIT_USD_50_INPUT("csMain-USD-B-50"),
    COINSPLIT_USD_20_INPUT("csMain-USD-B-20"),
    COINSPLIT_USD_10_INPUT("csMain-USD-B-10"),
    COINSPLIT_USD_5_INPUT("csMain-USD-B-5"),
    COINSPLIT_USD_2_INPUT("csMain-USD-B-2"),
    COINSPLIT_USD_1_INPUT("csMain-USD-B-1"),

    SMENA_COINSPLIT_USD_100_INPUT("csM-USD-B-100"),
    SMENA_COINSPLIT_USD_50_INPUT("csM-USD-B-50"),
    SMENA_COINSPLIT_USD_20_INPUT("csM-USD-B-20"),
    SMENA_COINSPLIT_USD_10_INPUT("csM-USD-B-10"),
    SMENA_COINSPLIT_USD_5_INPUT("csM-USD-B-5"),
    SMENA_COINSPLIT_USD_2_INPUT("csM-USD-B-2"),
    SMENA_COINSPLIT_USD_1_INPUT("csM-USD-B-1"),

    COINSPLIT_EUR_500_INPUT("csMain-EUR-B-500"),
    COINSPLIT_EUR_200_INPUT("csMain-EUR-B-200"),
    COINSPLIT_EUR_100_INPUT("csMain-EUR-B-100"),   
    COINSPLIT_EUR_50_INPUT("csMain-EUR-B-50"),
    COINSPLIT_EUR_20_INPUT("csMain-EUR-B-20"),
    COINSPLIT_EUR_10_INPUT("csMain-EUR-B-10"),
    COINSPLIT_EUR_5_INPUT("csMain-EUR-B-5"),

    COINSPLIT_GBP_50_INPUT("csMain-GBP-B-50"),
    COINSPLIT_GBP_20_INPUT("csMain-GBP-B-20"),
    COINSPLIT_GBP_10_INPUT("csMain-GBP-B-10"),
    COINSPLIT_GBP_5_INPUT("csMain-GBP-B-5");

    private final String value;
    
    KSNCoinSplits(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }
}
